PDA

Afficher la version complète : [réglé] Gentoo compaq R4000



deadwazo
28/05/2006, 05h12
Et c'est la galère qui recommence avec mon compaq http://www.alionet.org/style_emoticons/<#EMO_DIR#>/laugh.gif :

Je viens d'installer gentoo 2006.0 avec le cd minimal. Jusqu'à maintenant tout a bien été mais maintenant je veux installer xorg... C'est ce que j'ai fait (j'ai suivit le handbook de gentoo) mais lorsque je le lance il y a un probleme: Il n'y a aucun écran http://www.alionet.org/style_emoticons/<#EMO_DIR#>/dry.gif

Voici ce que j'ai pu trouver sur le net :
<div class='quotetop'>Citation </div>
. The problem is the ati xpress 200m card.

emerge ati-drivers
rpm2targz <driver file downloaded from ati>
tar xzvf <driver file>.targz -C /
cd /lib/modules/fglrx/

site: http://64.233.161.104/search?q=cache:PAyoW...en&ct=clnk&cd=7 (http://64.233.161.104/search?q=cache%3a%50AyoWsACAZ0J:forums.gentoo.org/viewtopic-t-368561-view-previous.html%3Fsid%3D501707b0f4f3301a8c57f27a0cd8 94cd+compaq+r4000+gentoo+no+screens+found&hl=en&ct=clnk&cd=7)[/b]


Pas de probleme avec la premiere commande... Mais lorsque je veux downloader le driver depuis le site d'ati ca ne fonctionne pas http://www.alionet.org/style_emoticons/<#EMO_DIR#>/huh.gif (avec wget)... Peut-être parce que c'est avec le protocole https?


Merci a l'avance de votre aide

aldrik
29/05/2006, 00h17
Pourquoi tu prends un RPM plutôt que la version avec l'installeur intégré ?

deadwazo
29/05/2006, 08h33
Hm... J'ai essayé avec le .run mais ca n'a pas marché et selon les explications que j'ai vu sur le net, comme par exemple les exemples d'install sur linuxonlaptops, il faut bien prendre le rpm. J'ai réussi à récupérer le fichier et maintenant lorsque je lance startx j'ai un écran vide (tout noir) mais pas d'erreur.... Ca semble être un manque dans la configuration du xorg, il ne me reste qu'à trouver c'est quoi http://www.alionet.org/style_emoticons/<#EMO_DIR#>/tongue.gif .

Je vous tiens au courant.

aldrik
29/05/2006, 14h31
Hm... J'ai essayé avec le .run mais ca n'a pas marché et selon les explications que j'ai vu sur le net, comme par exemple les exemples d'install sur linuxonlaptops, il faut bien prendre le rpm. J'ai réussi à récupérer le fichier et maintenant lorsque je lance startx j'ai un écran vide (tout noir) mais pas d'erreur.... Ca semble être un manque dans la configuration du xorg, il ne me reste qu'à trouver c'est quoi http://www.alionet.org/style_emoticons/<#EMO_DIR#>/tongue.gif .

Je vous tiens au courant.[/b]

Le RPM n'est absolument pas indispensable, j'ai fait sans jusqu'à maintenant, dans le .run c'est le driver qui configure xorg.conf pour toi.

deadwazo
29/05/2006, 19h05
http://www.alionet.org/style_emoticons/<#EMO_DIR#>/huh.gif C'est possible... J'y repense et lorsque j'ai essayé avec le .run je crois que j'ai entré les commandes pour la vieille version du driver...

Le .run configure le xorg.conf pour moi? http://www.alionet.org/style_emoticons/<#EMO_DIR#>/blink.gif ... Je croise mes doights pour que ca marche et j'essaie.


A bientot!

***Edit***

Toujours le meme résultat: Ecran noir et je doit rebooter en appuyant sur le bouton power 5 secondes`


<div class='quotetop'>Citation </div>
First of all, do not use any of the 2.6.15-rc kernels. They have a weird mm/swap.c bug that means that if you use the ati driver with them, X won't function correctly (killing windows won't work and will cause a printout of KERNEL BUG ---cut here--- and so on to dmesg, and killing X will hang the system). This is fixed in 2.6.15 final, however.
Second, leave ATI DRM support in your kernel. Turn it off. Leave /dev/agpgart in, too.
Next, make sure vesafb isn't built in - if you want framebuffer, use radeonfb.
Fourth, grab any ati-drivers version from portage above 8.16.xx.
Fifth, edit your xorg.conf to use Driver "fglrx", and add the following option:
Option "VideoOverlay" "on".
Sixth, set your DefaultDepth to 24.
Finally, boot into X and enjoy 500 FPS or something. http://www.alionet.org/style_emoticons/<#EMO_DIR#>/tongue.gif[/b]
http://occom.no-ip.biz/r4000.html

J'essaye de modifier mon kernel pour ATI DRM... Je vous tiens au courant

***Edit***
La modif au kernel n'y fait rien

aldrik
29/05/2006, 22h46
Ah j'ai oublié, faut patcher le driver NVIDIA pour le faire tourner sur les derniers noyaux c'est pour çà

titoucha
30/05/2006, 03h38
Ah j'ai oublié, faut patcher le driver NVIDIA pour le faire tourner sur les derniers noyaux c'est pour çà[/b]

Ben il n'y a pas besoin de patcher les drivers Nvidia pour les derniers noyaux et en plus il te parle de ATI. http://www.alionet.org/style_emoticons/<#EMO_DIR#>/tongue.gif

deadwazo
30/05/2006, 08h31
Ouf http://www.alionet.org/style_emoticons/<#EMO_DIR#>/smile.gif

J'ai finalement réussi... J'ai même été capable de faire tourner kde!

J'étais sur la bonne piste...

<div class='quotetop'>Citation </div>
emerge ati-drivers
rpm2targz <driver file downloaded from ati>
tar xzvf <driver file>.targz -C /
cd /lib/modules/fglrx/[/b]

Il ne restait qu'à lancer le shell dans le dossier http://www.alionet.org/style_emoticons/<#EMO_DIR#>/tongue.gif

aldrik
30/05/2006, 11h10
<div class='quotetop'>Citation (aldrik @ 29/05/2006 à 22:46) <{POST_SNAPBACK}> (index.php?act=findpost&pid=90031)

Ah j'ai oublié, faut patcher le driver NVIDIA pour le faire tourner sur les derniers noyaux c'est pour çà[/b]

Ben il n'y a pas besoin de patcher les drivers Nvidia pour les derniers noyaux et en plus il te parle de ATI. http://www.alionet.org/style_emoticons/<#EMO_DIR#>/tongue.gif
[/b][/quote]
Oulo suis fatigué moi, ATI je voulais dire, pour le patch j'en avais eu besoin pour l'avant dernière version du noyau ATI, mais effectivement, suis trop bête j'avais oublié que il y avait une nouvelle version. Suis un peu à la masse ces derniers temps. Entout suis content que au final que Deadwazo ai réussi.

phoenix
30/05/2006, 16h23
Hello !
Content que tu es trouvé!
J'avais eu le même probleme, et j'avais juste remplacé le xorg.conf par celui (qui marchait très bien) de ma Mepis d'avant...et nikel.